## tigervnc 1.2.0+X1.12.4

=== common/fltk/CMakeLists.txt ===
#
# "$Id: CMakeLists.txt 8198 2011-01-06 10:24:58Z manolo $"
#
# Main CMakeLists.txt to build the FLTK project using CMake (www.cmake.org)
# Written by Andy Cedilnik and Julien Jomier
#
# Copyright 1998-2010 by Bill Spitzak and others.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Library General Public
# License as published by the Free Software Foundation; either
# version 2 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Library General Public License for more details.
#
# You should have received a copy of the GNU Library General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
# USA.
#
# Please report all bugs and problems on the following page:
#
#     http:#www.fltk.org/str.php
#

#######################################################################
# basic setup
#######################################################################
project(FLTK)
cmake_minimum_required(VERSION 2.6)

# The FLTK version
set(FLTK_VERSION_MAJOR "1")
set(FLTK_VERSION_MINOR "3")
set(FLTK_VERSION_PATCH "0")
set(FLTK_VERSION "${FLTK_VERSION_MAJOR}.${FLTK_VERSION_MINOR}")
set(FLTK_VERSION_FULL "${FLTK_VERSION}.${FLTK_VERSION_PATCH}")

# Search for modules in the FLTK source dir first
set(CMAKE_MODULE_PATH "${FLTK_SOURCE_DIR}/CMake")

include_directories(BEFORE ${FLTK_BINARY_DIR} ${FLTK_SOURCE_DIR})

#######################################################################
# platform dependent information
#######################################################################

include(TestBigEndian)
TEST_BIG_ENDIAN(WORDS_BIGENDIAN)

if(APPLE)
   set(__APPLE_QUARTZ__ 1)
   set(HAVE_STRTOLL 1)
   set(HAVE_STRCASECMP 1)
   set(HAVE_DIRENT_H 1)
endif(APPLE)

if(WIN32)
   if(MSVC)
      add_definitions(-DWIN32_LEAN_AND_MEAN)
      add_definitions(-D_CRT_SECURE_NO_WARNINGS)
   endif(MSVC)
endif(WIN32)

#######################################################################
# size of ints
include(CheckTypeSize)

CHECK_TYPE_SIZE(short SIZEOF_SHORT)
CHECK_TYPE_SIZE(int   SIZEOF_INT)
CHECK_TYPE_SIZE(long  SIZEOF_LONG)
CHECK_TYPE_SIZE("long long"  HAVE_LONG_LONG)

if(${SIZEOF_SHORT} MATCHES "^2$")
   set(U16 "unsigned short")
endif(${SIZEOF_SHORT} MATCHES "^2$")

if(${SIZEOF_INT} MATCHES "^4$")
   set(U32 "unsigned")
else()
   if(${SIZEOF_LONG} MATCHES "^4$")
      set(U32 "unsigned long")
   endif(${SIZEOF_LONG} MATCHES "^4$")
endif(${SIZEOF_INT} MATCHES "^4$")

if(${SIZEOF_INT} MATCHES "^8$")
   set(U64 "unsigned")
else()
   if(${SIZEOF_LONG} MATCHES "^8$")
      set(U64 "unsigned long")
   endif(${SIZEOF_LONG} MATCHES "^8$")
endif(${SIZEOF_INT} MATCHES "^8$")

#######################################################################
# check for headers, libraries and functions
#######################################################################
# headers
find_file(HAVE_DIRENT_H dirent.h)
find_file(HAVE_FREETYPE_H freetype.h PATH_SUFFIXES freetype2)
find_file(HAVE_LOCALE_H locale.h)
find_file(HAVE_NDIR_H ndir.h)
find_file(HAVE_PTHREAD_H pthread.h)
find_file(HAVE_SYS_DIR_H sys/dir.h)
find_file(HAVE_SYS_NDIR_H sys/ndir.h)
find_file(HAVE_SYS_SELECT_H sys/select.h)
find_file(HAVE_SYS_STDTYPES_H sys/stdtypes.h)

mark_as_advanced(HAVE_FREETYPE_H)
mark_as_advanced(HAVE_SYS_DIR_H)
mark_as_advanced(HAVE_SYS_NDIR_H HAVE_SYS_SELECT_H)
mark_as_advanced(HAVE_SYS_STDTYPES_H)

# where to find freetype headers
find_path(FREETYPE_PATH freetype/config/ftheader.h PATH_SUFFIXES freetype2)
if(FREETYPE_PATH)
   include_directories(${FREETYPE_PATH})
endif(FREETYPE_PATH)
mark_as_advanced(FREETYPE_PATH)

#######################################################################
# functions
include(CheckFunctionExists)

if(HAVE_DLFCN_H)
   set(CMAKE_REQUIRED_LIBRARIES dl)
endif(HAVE_DLFCN_H)
CHECK_FUNCTION_EXISTS(dlsym                  HAVE_DLSYM)

CHECK_FUNCTION_EXISTS(localeconv             HAVE_LOCALECONV)

CHECK_FUNCTION_EXISTS(scandir                HAVE_SCANDIR)
CHECK_FUNCTION_EXISTS(snprintf               HAVE_SNPRINTF)

CHECK_FUNCTION_EXISTS(strlcat                HAVE_STRLCAT)
CHECK_FUNCTION_EXISTS(strlcpy                HAVE_STRLCPY)
CHECK_FUNCTION_EXISTS(strtoll                HAVE_STRTOLL)
CHECK_FUNCTION_EXISTS(vsnprintf              HAVE_VSNPRINTF)

set(CMAKE_REQUIRED_LIBRARIES)

if(HAVE_SCANDIR AND NOT HAVE_SCANDIR_POSIX)
   set(MSG "POSIX compatible scandir")
   message(STATUS "Looking for ${MSG}")
   try_compile(V
      ${FLTK_BINARY_DIR}
      ${FLTK_SOURCE_DIR}/CMake/posixScandir.cxx
      )
   if(V)
      message(STATUS "${MSG} - found")
      set(HAVE_SCANDIR_POSIX 1 CACHE INTERNAL "")
   else()
      message(STATUS "${MSG} - not found")
      set(HAVE_SCANDIR_POSIX HAVE_SCANDIR_POSIX-NOTFOUND)
   endif(V)
endif(HAVE_SCANDIR AND NOT HAVE_SCANDIR_POSIX)
mark_as_advanced(HAVE_SCANDIR_POSIX)

#######################################################################
# options
#######################################################################
if(APPLE)
   option(OPTION_APPLE_X11 "use X11" OFF)
endif(APPLE)

if(NOT APPLE OR OPTION_APPLE_X11)
   include(FindX11)
   if(X11_FOUND)
      set(USE_X11 1)
   endif(X11_FOUND)
endif(NOT APPLE OR OPTION_APPLE_X11)

#######################################################################
option(OPTION_USE_POLL "use poll if available" OFF)

if(OPTION_USE_POLL)
   CHECK_FUNCTION_EXISTS(poll USE_POLL)
endif(OPTION_USE_POLL)

#######################################################################
option(OPTION_USE_THREADS "use multi-threading" ON)

if(OPTION_USE_THREADS)
   include(FindThreads)
endif(OPTION_USE_THREADS)

if(OPTION_USE_THREADS AND CMAKE_HAVE_THREADS_LIBRARY)
   add_definitions("-D_THREAD_SAFE -D_REENTRANT")
   set(USE_THREADS 1)
   set(FLTK_THREADS_FOUND TRUE)
else()
   set(FLTK_THREADS_FOUND FALSE)
endif(OPTION_USE_THREADS AND CMAKE_HAVE_THREADS_LIBRARY)

if(OPTION_USE_THREADS AND CMAKE_USE_PTHREADS_INIT)
   set(HAVE_PTHREAD 1)
   set(FLTK_PTHREADS_FOUND TRUE)
else()
   set(HAVE_PTHREAD 0)
   set(HAVE_PTHREAD_H 0)
   set(FLTK_PTHREADS_FOUND FALSE)
endif(OPTION_USE_THREADS AND CMAKE_USE_PTHREADS_INIT)

#######################################################################
if(X11_Xinerama_FOUND)
   option(OPTION_USE_XINERAMA "use lib Xinerama" ON)
endif(X11_Xinerama_FOUND)

if(OPTION_USE_XINERAMA)
   set(HAVE_XINERAMA ${X11_Xinerama_FOUND})
   include_directories(${X11_Xinerama_INCLUDE_PATH})
   set(FLTK_XINERAMA_FOUND TRUE)
else()
   set(FLTK_XINERAMA_FOUND FALSE)
endif(OPTION_USE_XINERAMA)

#######################################################################
if(X11_Xft_FOUND)
   option(OPTION_USE_XFT "use lib Xft" ON)
endif(X11_Xft_FOUND)

if(OPTION_USE_XFT)
   set(USE_XFT X11_Xft_FOUND)
   set(FLTK_XFT_FOUND TRUE)
else()
   set(FLTK_XFT_FOUND FALSE)
endif(OPTION_USE_XFT)

#######################################################################
if(X11_Xfixes_FOUND)
   option(OPTION_USE_XFIXES "use lib Xfixes" ON)
endif(X11_Xfixes_FOUND)

if(OPTION_USE_XFIXES)
   set(HAVE_XFIXES ${X11_Xfixes_FOUND})
endif(OPTION_USE_XFIXES)

#######################################################################
if(X11_Xcursor_FOUND)
   option(OPTION_USE_XCURSOR "use lib Xcursor" ON)
endif(X11_Xcursor_FOUND)

if(OPTION_USE_XCURSOR)
   set(HAVE_XCURSOR ${X11_Xcursor_FOUND})
endif(OPTION_USE_XCURSOR)

#######################################################################

add_subdirectory(src)

# generate config.h
configure_file(
   "${FLTK_SOURCE_DIR}/configh.cmake.in"
   "${FLTK_BINARY_DIR}/config.h"
   @ONLY
)

=== common/os/CMakeLists.txt ===
include_directories(${CMAKE_SOURCE_DIR}/common)

add_library(os STATIC
  print.c
  net.c
  w32tiger.c
  os.cxx
  tls.cxx)

=== win/vncconfig/CMakeLists.txt ===
include_directories(${CMAKE_BINARY_DIR}/win)

add_executable(vncconfig WIN32
  Legacy.cxx
  PasswordDialog.cxx
  vncconfig.cxx
  vncconfig.rc)

target_link_libraries(vncconfig rfb_win32 rfb Xregion network rdr ws2_32.lib)

install(TARGETS vncconfig
  RUNTIME DESTINATION .
)

=== debian/changelog ===
tigervnc (1.2.0+X1.12.4-1~nd70+1) wheezy; urgency=low

  * Backported for wheezy.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Mon, 25 Mar 2013 09:43:15 -0400

tigervnc (1.2.0+X1.12.4-1) unstable; urgency=low

  [ Joachim Falk ]
  * Updated xorg-server to 2:1.12.4-5
  * Support new git wich uses a .git file for submodules instead of .git
    directory
  * Switched to using --create-empty-orig instead of empty pristine-tar

  [ Yaroslav Halchenko ]
  * debian/copyright:
    - Extended to include missing entries
  * debian/README.source
    - Listed the reason to ship/use FLTK library

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 25 Mar 2013 09:14:23 -0400

tigervnc (1.2.0+X1.12.1.902-2) UNRELEASED; urgency=low

  * debian/copyright:
    - Fixed "Format" field for DEP5
    - Slight tune ups for MIT/X11 license keywords
  * debian/gbp.conf
    - added 'submodules = True' so git-buildpackage works out-of-the-git-tree
  * debian/control
    - added myself to uploaders

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 01 Mar 2013 10:55:25 -0500

tigervnc (1.2.0+X1.12.1.902-1) UNRELEASED; urgency=low

  [ Joachim Falk ]
  * Switched to xorg-server used in debian unstable
  * Updated get-orig-source to get pristine-tar info for xorg-server
    from pkg-tigervnc git.
  * Switched debian/xserver.patch to use patch for xorg 110
  * Updated build dependencies in debian/control to conform to the
    xorg-server used in debian unstable
  * Droped patch that got accepted by Xorg upstream:
    0002-xorg-fix-compilation-with-werror-int-to-pointer-cast.patch

  [ Mike Gabriel ]
  * Droped patch that got accepted by Xorg upstream:
    0903-Add-RH-patch-tigervnc11-rh628054-xorg.patch-which-fi.patch
  * Move README.txt to debian/README.source (cf. Debian policy 4.14).
  * Bump standards version to 3.9.3.

 -- Joachim Falk <joachim.falk@gmx.de>  Fri, 29 Jun 2012 20:15:27 +0200

tigervnc (1.2.0+X1.7.7-1) UNRELEASED; urgency=low

  [ Joachim Falk ]
  * Fixup built problem with -Werror=format-security
  * Changed pkg version to also include xserver upstream version
  * Switched to 3.0 (quilt) source format
  * Build autogenerated sources fb.h pixman.h fbrop.h in builddir
  * Make no backup files for patches to enable clean unapply without
    .orig files remaining
  * Moved xorg-autoreconf.sh and xserver.patch symlink into debian dir
  * Added missing cmake, pristine-tar, libjpeg-dev build dependencies
  * Removed unneeded fltk build dependency
  * Improved reverse-patches-deautoreconf target in debian/rules
  * Added patches for TigerVNC 1.2.0 from archlinux
    - 0800-archlinux-fixup-gnutls.patch fixes a wrong config check
    - 0898-archlinux-xorg111.patch enables use of xorg server 1.11
    - 0899-archlinux-xorg112.patch enables use of xorg server 1.12
  * Fix spelling error in manpage to shutup lintian
  * Fix spelling error in xorg server to shutup lintian
  * Add homepage field to control to shutup lintian
  * Fix copyright file to shutup lintian
  * Ported over patch for tcpwrappers support from TigerVNC 1.0.90
  * Turn on GnuTLS, PAM, and i18n support via gettext

  [ Mike Gabriel ]
  * Add Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to uploaders.
  * Add libxft-dev as build-dependency.
  * Add libxcursor-dev as build-dependency.
  * Fix lintian issue: maintainer-also-in-uploaders.
  * Fix lintian issue: missing-build-dependency-for-dh_-command dh_autoreconf
    => dh-autoreconf.
  * Fix Vcs-Git: and Vcs-Browser: in /debian/control.
  * Build-depend on debhelper (>= 8).
  * Create stampdir before patch Xorg tree.
  * Add patch: 0002-xorg-fix-compilation-with-werror-int-to-pointer-cast.patch
  * tigervnc-common: split up dh_install into install, manpages and docs.
  * Other binary packages: handle manpages by dh_manpages.

 -- Joachim Falk <joachim.falk@gmx.de>  Fri, 06 Jul 2012 23:52:54 +0200

tigervnc (1.2.0-1) stable; urgency=low

  * Updated to tigervnc 1.2.0

 -- Joachim Falk <joachim.falk@gmx.de>  Fri, 06 Apr 2012 14:25:22 +0200

tigervnc (1.1.90-1) stable; urgency=low

  * Updated to tigervnc 1.1.90
  * Updated to xorg-server (2:1.7.7-14) squeeze

 -- Joachim Falk <joachim.falk@gmx.de>  Thu, 05 Apr 2012 19:36:26 +0200

tigervnc (1.1.0-2jf) stable; urgency=low

  * Added RH patch tigervnc11-ldnow.patch disabling lazy symbol resolution for libvnc.so

  * Added RH patch tigervnc11-rh690245.patch which add TLS encryption to VeNCrypt
    
      TigerVNC (Xvnc, x0vncserver, the libvnc.so module, and vncviewer) now
      supports TLS encryption (using VeNCrypt) which allows TLS encrypted
      communication between a server and a viewer. (BZ#653491)

  * Added RH patch tigervnc11-rh588342.patch which fixes EQ overflowing bug.
    
      Xvnc could become unresponsive and the following error message was shown
      in the log: "[mi] EQ overflowing. The server is probably stuck in an
      infinite loop.". This was caused by a large number of user input events
      in the Xvnc event queue, which were being processed too slowly. With
      this update, this issue no longer occurs and the system works as
      expected. (BZ#588342)

  * Add RH patch tigervnc11-rh628054-xorg.patch which fixes vmware keyboard interaction bug.
    
      Prior to this update, Xvnc (the X VNC server; part of the tigervnc
      package) did not pass keyboard input to a remote VMware workstation
      because it did not take into account types of keyboards which do not
      have modifier keys. With this update, Xvnc recognizes all types of
      keyboards; thus, keyboard input is correctly passed to remote VMware
      workstations. (BZ#628054)

  * Add RH patch tigervnc11-rh645755.patch fix signal interrupted read
    


=== debian/control ===
Source: tigervnc
Section: x11
Priority: optional
Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
X-Original-Maintainer: Joachim Falk <joachim.falk@gmx.de>
Uploaders:
 Mike Gabriel <mike.gabriel@das-netzwerkteam.de>,
 Yaroslav Halchenko <debian@onerussian.com>
# all the Build-Depends up to x11proto-xf86-dri-dev are for the normal Xorg
# server, and common dependencies for the DIX.
# x11proto-xf86dri-dev and libdrm-dev are for DRI support for the Xorg server.
# x11proto-print-dev and libfreetype6-dev are for Xprint
# everything on is for the DMX and Xnest servers.
Build-Depends:
 cdbs (>= 0.4.89),
 dh-autoreconf,
 cmake (>= 2.8),
 pristine-tar,
 gettext,
 zlib1g-dev,
 libjpeg-dev,
 libgnutls-dev,
 libpam0g-dev,
 libxft-dev,
 libxcursor-dev,
 libwrap0-dev,
# this are dependencies from xorg deb
 debhelper (>= 8),
 quilt,
 lsb-release,
 pkg-config,
 bison,
 flex,
 automake,
 libtool,
 xutils-dev (>= 1:7.6+4),
 xfonts-utils (>= 1:7.5+1),
 x11proto-bigreqs-dev (>= 1:1.1.0),
 x11proto-composite-dev (>= 1:0.4),
 x11proto-core-dev (>= 7.0.22),
 x11proto-damage-dev (>= 1.1),
 x11proto-fixes-dev (>= 1:5.0),
 x11proto-kb-dev (>= 1.0.3),
 x11proto-xinerama-dev,
 x11proto-randr-dev (>= 1.2.99.3),
 x11proto-record-dev (>= 1.13.99.1),
 x11proto-render-dev (>= 2:0.11),
 x11proto-resource-dev,
 x11proto-scrnsaver-dev,
 x11proto-video-dev,
 x11proto-xcmisc-dev (>= 1.2.0),
 x11proto-xext-dev (>= 7.1.99),
 x11proto-xf86bigfont-dev (>= 1.2.0),
 x11proto-xf86dga-dev (>= 2.0.99.1),
 x11proto-xf86vidmode-dev (>= 2.2.99.1),
 xtrans-dev (>= 1.2.2),
 libxau-dev (>= 1:1.0.5-2),
 x11proto-input-dev (>= 2.1.99.6),
 x11proto-dri2-dev (>= 2.6),
 libxdmcp-dev (>= 1:0.99.1),
 libxfont-dev (>= 1:1.4.2),
 libxkbfile-dev (>= 1:0.99.1),
 libpixman-1-dev (>= 0.21.8),
 libpciaccess-dev (>= 0.12.901),
 libgcrypt-dev,
 nettle-dev,
 libdbus-1-dev [kfreebsd-any],
 libhal-dev [kfreebsd-any],
 libudev-dev (>= 151-3) [linux-any],
 libselinux1-dev (>= 2.0.80) [linux-any],
 libaudit-dev [linux-any],
 x11proto-xf86dri-dev (>= 2.1.0),
 libdrm-dev (>= 2.4.3) [!hurd-i386],
 x11proto-gl-dev (>= 1.4.14),
 mesa-common-dev (>= 7.8),
 libgl1-mesa-dev (>= 7.8),
 libxmuu-dev (>= 1:0.99.1),
 libxext-dev (>= 1:0.99.1),
 libx11-dev (>= 1:0.99.2),
 libxrender-dev (>= 1:0.9.0),
 libxi-dev (>= 2:1.2.99.1),
 x11proto-dmx-dev (>= 1:2.2.99.1),
 libdmx-dev (>= 1:1.0.1),
 libxpm-dev (>= 1:3.5.3),
 libxaw7-dev (>= 1:0.99.1),
 libxt-dev (>= 1:0.99.1),
 libxmu-dev (>= 1:0.99.1),
 libxtst-dev (>= 1:0.99.1),
 libxres-dev (>= 1:0.99.1),
 libxfixes-dev (>= 1:3.0.0),
 libxv-dev,
 libxinerama-dev,
# unit tests
 xkb-data,
 x11-xkb-utils,
# getpeereid()
 libbsd-dev [kfreebsd-any],
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/git/pkg-tigervnc/pkg-tigervnc.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-tigervnc/pkg-tigervnc.git 
Homepage: http://www.tigervnc.org

Package: tigervnc-common
Architecture: any
Depends: neurodebian-popularity-contest, 
 ${shlibs:Depends},
 ${misc:Depends},
Conflicts:
 tigervnc-server (<< 1.1.90),
 tigervnc-viewer (<< 1.1.90)
Description: Virtual network computing; Common software needed by clients and servers
 VNC stands for Virtual Network Computing. It is, in essence, a remote
 display system which allows you to view a computing `desktop' environment
 not only on the machine where it is running, but from anywhere on the
 Internet and from a wide variety of machine architectures.
 .
 It is implemented in a client/server model. This package provides the common
 software for both client and server.

Package: tigervnc-scraping-server
Architecture: any
Depends: neurodebian-popularity-contest, 
 xserver-common (>= 2:1.7.7),
 keyboard-configuration [linux-any kfreebsd-any],
 udev (>= 149) [linux-any],
 tigervnc-common,
 ${shlibs:Depends},
 ${misc:Depends},
Recommends: libgl1-mesa-dri (>= 7.1~rc1)
Suggests: xfonts-100dpi | xfonts-75dpi, xfonts-scalable
Provides:
 vnc-server,
 ${videoabi},
 ${inputabi}
Replaces: tigervnc-server (<< 1.1.90)
Breaks: tigervnc-server (<< 1.1.90)
Description: Virtual network computing server software
 VNC stands for Virtual Network Computing. It is, in essence, a remote
 display system which allows you to view a computing `desktop' environment
 not only on the machine where it is running, but from anywhere on the
 Internet and from a wide variety of machine architectures.
 .
 This package provides a vncserver which uses screen scraping of an already
 running X server to provide its VNC desktop. The VNC desktop can be viewed
 by any vncviewer even on other operating systems.
 .
 Note: If you only want to scrap your local X11 server, you should consider
 the tigervnc-xorg-extension package. This package provides the vnc extension
 for your local X11 server. The usage of this extension is more efficient
 than a scraping vnc server.

Package: tigervnc-standalone-server
Architecture: any
Depends: neurodebian-popularity-contest, 
 xserver-common (>= 2:1.7.7),
 keyboard-configuration [linux-any kfreebsd-any],
 udev (>= 149) [linux-any],
 tigervnc-common,
 ${shlibs:Depends},
 ${misc:Depends},
 ${perl:Depends}
Recommends: libgl1-mesa-dri (>= 7.1~rc1)
Suggests: xfonts-100dpi | xfonts-75dpi, xfonts-scalable
Provides:
 vnc-server,
 ${videoabi},
 ${inputabi}
Replaces: tigervnc-server (<< 1.1.90)
Breaks: tigervnc-server (<< 1.1.90)
Description: Virtual network computing server software
 VNC stands for Virtual Network Computing. It is, in essence, a remote
 display system which allows you to view a computing `desktop' environment
 not only on the machine where it is running, but from anywhere on the
 Internet and from a wide variety of machine architectures.
 .
 This package provides a standalone vncserver to which X clients can connect.
 The server generates a display that can be viewed with a vncviewer.
 .
 Note: This server does not need a display. You need a vncviewer to see
 something. This viewer may also be on a computer running other operating
 systems.

Package: tigervnc-xorg-extension
Architecture: any
Depends: neurodebian-popularity-contest, 
 xserver-common (>= 2:1.7.7),
 keyboard-configuration [linux-any kfreebsd-any],
 udev (>= 149) [linux-any],
 tigervnc-common,
 ${shlibs:Depends},
 ${misc:Depends},
Recommends: libgl1-mesa-dri (>= 7.1~rc1)
Suggests: xfonts-100dpi | xfonts-75dpi, xfonts-scalable
Provides:
 vnc-server,
 vnc-xorg-extension,
 ${videoabi},
 ${inputabi}
Replaces: tigervnc-server (<< 1.1.90)
Breaks: tigervnc-server (<< 1.1.90)
Description: Virtual network computing server software
 VNC stands for Virtual Network Computing. It is, in essence, a remote
 display system which allows you to view a computing `desktop' environment
 not only on the machine where it is running, but from anywhere on the
 Internet and from a wide variety of machine architectures.
 .
 It contains an X server connector so clients can connect to your local X
 desktop directly.

Package: tigervnc-viewer
Architecture: any
Depends: neurodebian-popularity-contest, 
 xserver-common (>= 2:1.7.7),
 tigervnc-common,
 ${shlibs:Depends},
 ${misc:Depends},
Provides:
 vnc-viewer
Description: Virtual network computing client software for X
 VNC stands for Virtual Network Computing. It is, in essence, a remote
 display system which allows you to view a computing `desktop' environment
 not only on the machine where it is running, but from anywhere on the
 Internet and from a wide variety of machine architectures.
 .
 It is implemented in a client/server model. This package provides a vncclient
 for X, with this you can connect to a vncserver somewhere in the network
 and display its content in a window. There are vncservers available for other
 operating systems.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for the Debian tigervnc package.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Where the tigervnc sources are
DEB_SRCDIR   = tigervnc
# Don't override DEB_BUILDDIR as /usr/share/cdbs/1/class/cmake.mk does not
# support this
## Where to built tigervnc
#DEB_BUILDDIR = $(CURDIR)/obj-$(DEB_BUILD_GNU_TYPE)

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk

# Do our complex patch dance first! After that quilt patch system can proceed!
clean:: unpatch clean-xorg
unpatch: reverse-patches-dance
apply-patches: apply-patches-dance
reverse-patches-dance: reverse-patches

QUILT_PATCH_DIR = $(CURDIR)/debian/patchdir
include /usr/share/cdbs/1/rules/patchsys-quilt.mk

DEB_DH_AUTORECONF_ARGS       = $(CURDIR)/debian/xorg-autoreconf.sh
DEB_DH_AUTORECONF_CLEAN_ARGS =

#include /usr/share/cdbs/1/rules/autoreconf.mk we need the deautoreconf in the unpatch sequence

# --disable-maintainer-mode does not seem to do its job! Why?!
DEB_CONFIGURE_EXTRA_FLAGS += --disable-maintainer-mode

DEB_CMAKE_INSTALL_PREFIX  = /usr
DEB_CMAKE_EXTRA_FLAGS     += -DUSE_INCLUDED_ZLIB:BOOL=OFF
# The FLTK in debian is either too old (squeeze) or is missing some extension patches (wheezy)
# required by TigerVNC, i.e., http://www.fltk.org/strfiles/2599/fltk-1.3.x-keyboard-x11.patch.
# Maybe some more patches are missing. I have not checked further.
DEB_CMAKE_EXTRA_FLAGS     += -DUSE_INCLUDED_FLTK:BOOL=ON
DEB_CMAKE_EXTRA_FLAGS     += -DENABLE_LIBWRAP:BOOL=ON
DEB_CMAKE_EXTRA_FLAGS     += -DENABLE_NLS:BOOL=ON
DEB_CMAKE_EXTRA_FLAGS     += -DENABLE_GNUTLS:BOOL=ON
DEB_CMAKE_EXTRA_FLAGS     += -DENABLE_PAM:BOOL=ON

# rawr paranoia
CFLAGS   += -Wall -g -fstack-protector --param=ssp-buffer-size=4 -Wformat -Wformat-security -Werror=format-security
CXXFLAGS += -Wall -g -fstack-protector --param=ssp-buffer-size=4 -Wformat -Wformat-security -Werror=format-security
CPPFLAGS += -D_FORTIFY_SOURCE=2
LDFLAGS  += -Wl,-z,relro
ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS   += -O0
	CXXFLAGS += -O0
else
	CFLAGS   += -O3 -DNDEBUG
	CXXFLAGS += -O3 -DNDEBUG
endif
# We need that as /usr/share/cdbs/1/class/cmake.mk is buggy and does not use the :STRING qualifier
DEB_CMAKE_EXTRA_FLAGS += -DCMAKE_C_FLAGS:STRING="$(CPPFLAGS) $(CFLAGS)"
DEB_CMAKE_EXTRA_FLAGS += -DCMAKE_CXX_FLAGS:STRING="$(CPPFLAGS) $(CXXFLAGS)"
DEB_CMAKE_EXTRA_FLAGS += -DCMAKE_EXE_LINKER_FLAGS="$(LDFLAGS)"
DEB_CMAKE_EXTRA_FLAGS += -DCMAKE_SHARED_LINKER_FLAGS="$(LDFLAGS)"

# This is stolen from xorg-server/debian/xsfbs/xsfbs.mk
# Determine (source) package name from Debian changelog.
SOURCE_NAME:=$(shell dpkg-parsechangelog -ldebian/changelog \
                        | grep '^Source:' | awk '{print $$2}')

# Determine package version from Debian changelog.
SOURCE_VERSION:=$(shell dpkg-parsechangelog -ldebian/changelog \
                        | grep '^Version:' | awk '{print $$2}')

# Determine upstream version number.
UPSTREAM_VERSION:=$(shell echo $(SOURCE_VERSION) | sed 's/-.*//')

# Determine the source version without the epoch for make-orig-tar-gz
NO_EPOCH_VER:=$(shell echo $(UPSTREAM_VERSION) | sed 's/^.://')

# Highly modified and adapted from http://wiki.debian.org/SandroTosi/Svn_get-orig-source
TIGERVNC_PACKAGE = tigervnc
TIGERVNC_VERSION = $(shell echo ${NO_EPOCH_VER} | cut -d"+" -f1)
TIGERVNC_TARBALL = $(TIGERVNC_PACKAGE)_$(TIGERVNC_VERSION).orig.tar.gz

X11_PACKAGE = xorg-server
X11_VERSION = $(shell echo ${NO_EPOCH_VER} | cut -d"X" -f2 | cut -d"-" -f1)
X11_TARBALL = $(X11_PACKAGE)_$(X11_VERSION).orig.tar.gz

debug-debian-rules:
	@echo '$$(DEB_CONFIGURE_EXTRA_FLAGS) $(DEB_CONFIGURE_EXTRA_FLAGS)'
	@echo '$$(DEB_CMAKE_EXTRA_FLAGS) $(DEB_CMAKE_EXTRA_FLAGS)'
	@echo '$$(SOURCE_NAME) $(SOURCE_NAME)'
	@echo '$$(SOURCE_VERSION) $(SOURCE_VERSION)'
	@echo '$$(UPSTREAM_VERSION) $(UPSTREAM_VERSION)'
	@echo '$$(NO_EPOCH_VER) $(NO_EPOCH_VER)'
	@echo '$$(TIGERVNC_PACKAGE) $(TIGERVNC_PACKAGE)'
	@echo '$$(TIGERVNC_VERSION) $(TIGERVNC_VERSION)'
	@echo '$$(TIGERVNC_TARBALL) $(TIGERVNC_TARBALL)'
	@echo '$$(X11_PACKAGE) $(X11_PACKAGE)'
	@echo '$$(X11_VERSION) $(X11_VERSION)'
	@echo '$$(X11_TARBALL) $(X11_TARBALL)'

.PHONY: apply-patches-dance reverse-patches-dance

apply-patches-dance: apply-patches-vnc-patch-xorg
apply-patches-vnc-patch-xorg: apply-patches-unify-xorg-and-vnc-tree
apply-patches-unify-xorg-and-vnc-tree: apply-patches-xorg

reverse-patches-dance: reverse-patches-xorg
reverse-patches-xorg: reverse-patches-remove-xorg-from-vnc-tree
reverse-patches-remove-xorg-from-vnc-tree: reverse-patches-vnc-unpatch-xorg
reverse-patches-vnc-unpatch-xorg: reverse-patches-deautoreconf

.PHONY: reverse-patches-deautoreconf

post-patches:: $(DEB_SRCDIR)/unix/xserver/.autoreconf-xorg.stamp

$(DEB_SRCDIR)/unix/xserver/.autoreconf-xorg.stamp:
	dh_autoreconf $(DEB_DH_AUTORECONF_ARGS) && touch $@

reverse-patches-deautoreconf:
	if test -f $(DEB_SRCDIR)/unix/xserver/.autoreconf-xorg.stamp; then \
	  dh_autoreconf_clean $(DEB_DH_AUTORECONF_CLEAN_ARGS) && \
	  rm -f $(DEB_SRCDIR)/unix/xserver/.autoreconf-xorg.stamp \
	  	$(CURDIR)/debian/autoreconf.before \
	  	$(CURDIR)/debian/autoreconf.after; \
	else \
	  rm -f $(CURDIR)/debian/autoreconf.before \
	  	$(CURDIR)/debian/autoreconf.after; \
	fi

.PHONY: apply-patches-vnc-patch-xorg reverse-patches-vnc-unpatch-xorg

apply-patches-vnc-patch-xorg: $(DEB_SRCDIR)/unix/xserver/.apply-patches-vnc-patch-xorg.stamp

$(DEB_SRCDIR)/unix/xserver/.apply-patches-vnc-patch-xorg.stamp: debian/xserver.patch
	cd $(DEB_SRCDIR)/unix/xserver && { \
		patch --no-backup-if-mismatch -p1 < ../../../debian/xserver.patch && \
		touch .apply-patches-vnc-patch-xorg.stamp; \
	}

reverse-patches-vnc-unpatch-xorg: debian/xserver.patch
	cd $(DEB_SRCDIR)/unix/xserver && if test -f .apply-patches-vnc-patch-xorg.stamp; then \
		patch --no-backup-if-mismatch -R -p1 < ../../../debian/xserver.patch; \
		rm -f .apply-patches-vnc-patch-xorg.stamp; \
	fi

.PHONY: apply-patches-unify-xorg-and-vnc-tree reverse-patches-remove-xorg-from-vnc-tree

apply-patches-unify-xorg-and-vnc-tree: $(DEB_SRCDIR)/unix/xserver/.apply-patches-unify-xorg-and-vnc-tree.stamp

$(DEB_SRCDIR)/unix/xserver/.apply-patches-unify-xorg-and-vnc-tree.stamp:
	cd $(DEB_SRCDIR)/unix/xserver && { \
		lndir ../../../xorg-server . && \
		find -type l > .apply-patches-unify-xorg-and-vnc-tree.stamp; \
	}

reverse-patches-remove-xorg-from-vnc-tree:
	cd $(DEB_SRCDIR)/unix/xserver && if test -f .apply-patches-unify-xorg-and-vnc-tree.stamp; then \
		xargs rm -f < .apply-patches-unify-xorg-and-vnc-tree.stamp; \
		find -name ".svn" -prune -o -type d -print | sort -r | xargs rmdir; \
		rm -f .apply-patches-unify-xorg-and-vnc-tree.stamp; \
	fi

.PHONY: apply-patches-xorg reverse-patches-xorg clean-xorg

apply-patches-xorg:
	cd $(CURDIR)/xorg-server && chmod a+x debian/rules && \
	  debian/rules stampdir/stampdir && debian/rules patch

reverse-patches-xorg:
	cd $(CURDIR)/xorg-server && chmod a+x debian/rules && debian/rules unpatch

clean-xorg:
	cd $(CURDIR)/xorg-server && chmod a+x debian/rules && debian/rules clean

$(DEB_BUILDDIR)/unix/xserver/debian/confflags:
	mkdir -p $(dir $@)
	( cd $(DEB_SRCDIR)/unix/xserver && chmod a+x debian/rules && debian/rules echo_confflags ) | \
	  sed -ne '/^CONFFLAGS:/{s/^[^:]*:\s*//;p}' > $@

configure/tigervnc-standalone-server configure/tigervnc-xorg-extension:: $(DEB_BUILDDIR)/unix/xserver/configure.stamp

XORG_DEBIAN_CONFIGURE_FLAGS = $(shell cat $(DEB_BUILDDIR)/unix/xserver/debian/confflags)

# Next step is run configure script. It is very difficult use correct parameters.
# You should use same parameters as used in your distribution X server and add
# --disable-xvfb --disable-xnest --disable-xorg
$(DEB_BUILDDIR)/unix/xserver/configure.stamp: $(DEB_BUILDDIR)/unix/xserver/debian/confflags
	mkdir -p $(DEB_BUILDDIR)/unix/xserver
	cd $(DEB_BUILDDIR)/unix/xserver && \
	  $(DEB_CONFIGURE_SCRIPT_ENV) ../../../tigervnc/unix/xserver/configure \
		CPPFLAGS="$(CPPFLAGS)" \

## tigervnc 1.5.0

=== debian/changelog ===
tigervnc (1.5.0-1~nd+1) sid; urgency=low

  * Backported for sid.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Wed, 29 Jul 2015 13:39:27 -0400

tigervnc (1.5.0-1) UNRELEASED; urgency=medium

  * Fresh upstream
  * debian/patchdir
    - dropped 0001-xorg-fix-glx-compile.patch (underlying sources are gone)

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 13 Jul 2015 15:56:52 -0400

tigervnc (1.4.90-1) UNRELEASED; urgency=medium

  * Fresh upstream version
  * debian/rules
    - use xserver117.patch
  * debian/patchdir
    - few patches dropped and some updated
  * debian/control
    - require fltk >= 1.3.3

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 03 Jul 2015 10:28:49 -0400

tigervnc (1.4.3-1) UNRELEASED; urgency=medium

  * Switch to upstream version 1.4.3 of tigervnc

 -- Joachim Falk <joachim.falk@gmx.de>  Sun, 24 May 2015 23:25:35 +0200

tigervnc (1.4.1-2) UNRELEASED; urgency=medium

  * Try to be more compatible with tightvncserver and vnc4server regarding
    registered alternatives

 -- Joachim Falk <joachim.falk@gmx.de>  Sun, 24 May 2015 21:57:42 +0200

tigervnc (1.4.1-1) UNRELEASED; urgency=medium

  * Switch to upstream version 1.4.1 of tigervnc

 -- Joachim Falk <joachim.falk@gmx.de>  Sat, 03 Jan 2015 06:47:29 +0100

tigervnc (1.3.1-1) UNRELEASED; urgency=medium

  [ Matthias Klose ]
  * Updated packaging for TigerVNC 1.3.1
  * debian/control
    - boost policy compliance to 3.9.5
    - build-depend on libfltk1.3-dev (with patch to avoid searching
      for it) and xserver-xorg-dev
  * debian/rules
    - use dpkg-buildflags for *FLAGS
    - include /usr/share/xserver-xorg/configure_flags.mk and use
      it for xorg configure flags (after some filtering)
  * debian/patchdir
    - many patches updated, some removed, and bulk added

  [ Yaroslav Halchenko ]
  * Second re-upload to Debian proper (Closes: #650394)
  * debian/gbp.conf
    - filter out contrib/packages which now carries copies of xorg-server
    - use pristine-tar
  * debian/rules
    - adjust for configure_flags.mk shipped in Debian xorg 2:1.16.0-2
  * debian/copyright
    - removed obsolete section on xorg-server and adjusted years for TigerVNC
      copyright
  * debian/control
    - build-depend on versioned libgnutls28-dev due to conflicts (see #731175)
    - added libepoxy-dev to build-depends
  * debian/patchdir/xserver116.patch
    - xserver114.patch updated to be compatible with xserver-xorg 1.16

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 02 Sep 2014 16:08:45 -0400

tigervnc (1.3.0+X1.15.0-1) unstable; urgency=low

  * debian/{control,rules}
    - Use xorg-server-source source package instead of a convenience
      git submodule of xorg-server

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 07 Jan 2014 15:11:13 -0500

tigervnc (1.2.0+X1.12.4-1) neurodebian; urgency=low

  [ Joachim Falk ]
  * Updated xorg-server to 2:1.12.4-5
  * Support new git wich uses a .git file for submodules instead of .git
    directory
  * Switched to using --create-empty-orig instead of empty pristine-tar
  * debian/README.source
    - Fixed wrong description of tigervnc_<tigervnc-version>+X<xorg-version>.orig.tar.gz

  [ Yaroslav Halchenko ]
  * debian/copyright:
    - Extended to include missing entries
  * debian/README.source
    - Listed the reason to ship/use FLTK library

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 25 Mar 2013 09:14:23 -0400

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: x11
 Priority: optional
 Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
-X-Original-Maintainer: Joachim Falk <joachim.falk@gmx.de>
+X-Original-Maintainer: TigerVNC Packaging Team <pkg-tigervnc-devel@lists.alioth.debian.org>
 Uploaders:
+ Joachim Falk <joachim.falk@gmx.de>,
  Mike Gabriel <mike.gabriel@das-netzwerkteam.de>,
  Yaroslav Halchenko <debian@onerussian.com>
 # all the Build-Depends up to x11proto-xf86-dri-dev are for the normal Xorg
@@ -19,11 +20,14 @@
  gettext,
  zlib1g-dev,
  libjpeg-dev,
- libgnutls-dev,
+ libgnutls28-dev,
  libpam0g-dev,
  libxft-dev,
  libxcursor-dev,
  libwrap0-dev,
+ libfltk1.3-dev (>= 1.3.3),
+ xorg-server-source,
+ xserver-xorg-dev,
 # this are dependencies from xorg deb
  debhelper (>= 8),
  quilt,
@@ -95,7 +99,8 @@
  x11-xkb-utils,
 # getpeereid()
  libbsd-dev [kfreebsd-any],
-Standards-Version: 3.9.3
+ libepoxy-dev [linux-any kfreebsd-any],
+Standards-Version: 3.9.5
 Vcs-Git: git://git.debian.org/git/pkg-tigervnc/pkg-tigervnc.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-tigervnc/pkg-tigervnc.git 
 Homepage: http://www.tigervnc.org

=== debian/rules ===
--- 
+++ 
@@ -5,17 +5,19 @@
 #export DH_VERBOSE=1
 
 # Where the tigervnc sources are
-DEB_SRCDIR   = tigervnc
+DEB_SRCDIR   = .
 # Don't override DEB_BUILDDIR as /usr/share/cdbs/1/class/cmake.mk does not
 # support this
 ## Where to built tigervnc
 #DEB_BUILDDIR = $(CURDIR)/obj-$(DEB_BUILD_GNU_TYPE)
 
+VNC_PATCH = $(CURDIR)/unix/xserver117.patch
+
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/cmake.mk
 
 # Do our complex patch dance first! After that quilt patch system can proceed!
-clean:: unpatch clean-xorg
+clean:: unpatch
 unpatch: reverse-patches-dance
 apply-patches: apply-patches-dance
 reverse-patches-dance: reverse-patches
@@ -33,30 +35,19 @@
 
 DEB_CMAKE_INSTALL_PREFIX  = /usr
 DEB_CMAKE_EXTRA_FLAGS     += -DUSE_INCLUDED_ZLIB:BOOL=OFF
-# The FLTK in debian is either too old (squeeze) or is missing some extension patches (wheezy)
-# required by TigerVNC, i.e., http://www.fltk.org/strfiles/2599/fltk-1.3.x-keyboard-x11.patch.
-# Maybe some more patches are missing. I have not checked further.
-DEB_CMAKE_EXTRA_FLAGS     += -DUSE_INCLUDED_FLTK:BOOL=ON
 DEB_CMAKE_EXTRA_FLAGS     += -DENABLE_LIBWRAP:BOOL=ON
 DEB_CMAKE_EXTRA_FLAGS     += -DENABLE_NLS:BOOL=ON
 DEB_CMAKE_EXTRA_FLAGS     += -DENABLE_GNUTLS:BOOL=ON
 DEB_CMAKE_EXTRA_FLAGS     += -DENABLE_PAM:BOOL=ON
 
-# rawr paranoia
-CFLAGS   += -Wall -g -fstack-protector --param=ssp-buffer-size=4 -Wformat -Wformat-security -Werror=format-security
-CXXFLAGS += -Wall -g -fstack-protector --param=ssp-buffer-size=4 -Wformat -Wformat-security -Werror=format-security
-CPPFLAGS += -D_FORTIFY_SOURCE=2
-LDFLAGS  += -Wl,-z,relro
-ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
-	CFLAGS   += -O0
-	CXXFLAGS += -O0
-else
-	CFLAGS   += -O3 -DNDEBUG
-	CXXFLAGS += -O3 -DNDEBUG
-endif
+CFLAGS   += $(shell dpkg-buildflags --get CFLAGS)
+CXXFLAGS += $(shell dpkg-buildflags --get CXXFLAGS)
+CPPFLAGS += $(shell dpkg-buildflags --get CPPFLAGS)
+LDFLAGS  += $(shell dpkg-buildflags --get LDFLAGS)
+
 # We need that as /usr/share/cdbs/1/class/cmake.mk is buggy and does not use the :STRING qualifier
-DEB_CMAKE_EXTRA_FLAGS += -DCMAKE_C_FLAGS:STRING="$(CPPFLAGS) $(CFLAGS)"
-DEB_CMAKE_EXTRA_FLAGS += -DCMAKE_CXX_FLAGS:STRING="$(CPPFLAGS) $(CXXFLAGS)"
+DEB_CMAKE_EXTRA_FLAGS += -DCMAKE_C_FLAGS:STRING="$(CPPFLAGS) $(CFLAGS) -fPIC"
+DEB_CMAKE_EXTRA_FLAGS += -DCMAKE_CXX_FLAGS:STRING="$(CPPFLAGS) $(CXXFLAGS) -fPIC"
 DEB_CMAKE_EXTRA_FLAGS += -DCMAKE_EXE_LINKER_FLAGS="$(LDFLAGS)"
 DEB_CMAKE_EXTRA_FLAGS += -DCMAKE_SHARED_LINKER_FLAGS="$(LDFLAGS)"
 
@@ -102,7 +93,7 @@
 
 apply-patches-dance: apply-patches-vnc-patch-xorg
 apply-patches-vnc-patch-xorg: apply-patches-unify-xorg-and-vnc-tree
-apply-patches-unify-xorg-and-vnc-tree: apply-patches-xorg
+apply-patches-unify-xorg-and-vnc-tree:
 
 reverse-patches-dance: reverse-patches-xorg
 reverse-patches-xorg: reverse-patches-remove-xorg-from-vnc-tree
@@ -131,15 +122,15 @@
 
 apply-patches-vnc-patch-xorg: $(DEB_SRCDIR)/unix/xserver/.apply-patches-vnc-patch-xorg.stamp
 
-$(DEB_SRCDIR)/unix/xserver/.apply-patches-vnc-patch-xorg.stamp: debian/xserver.patch
+$(DEB_SRCDIR)/unix/xserver/.apply-patches-vnc-patch-xorg.stamp: $(VNC_PATCH)
 	cd $(DEB_SRCDIR)/unix/xserver && { \
-		patch --no-backup-if-mismatch -p1 < ../../../debian/xserver.patch && \
+		patch --no-backup-if-mismatch -p1 < $(VNC_PATCH) && \
 		touch .apply-patches-vnc-patch-xorg.stamp; \
 	}
 
-reverse-patches-vnc-unpatch-xorg: debian/xserver.patch
+reverse-patches-vnc-unpatch-xorg: $(VNC_PATCH)
 	cd $(DEB_SRCDIR)/unix/xserver && if test -f .apply-patches-vnc-patch-xorg.stamp; then \
-		patch --no-backup-if-mismatch -R -p1 < ../../../debian/xserver.patch; \
+		patch --no-backup-if-mismatch -R -p1 < $(VNC_PATCH); \
 		rm -f .apply-patches-vnc-patch-xorg.stamp; \
 	fi
 
@@ -148,44 +139,75 @@
 apply-patches-unify-xorg-and-vnc-tree: $(DEB_SRCDIR)/unix/xserver/.apply-patches-unify-xorg-and-vnc-tree.stamp
 
 $(DEB_SRCDIR)/unix/xserver/.apply-patches-unify-xorg-and-vnc-tree.stamp:
-	cd $(DEB_SRCDIR)/unix/xserver && { \
-		lndir ../../../xorg-server . && \
-		find -type l > .apply-patches-unify-xorg-and-vnc-tree.stamp; \
-	}
+	cd $(DEB_SRCDIR)/unix/xserver && \
+	  { tar --strip-components 1 -xvJf /usr/src/xorg-server.tar.xz | \
+	      sed -e 's@^[^/]*/@@' > .apply-patches-unify-xorg-and-vnc-tree.files; } && \
+	  touch .apply-patches-unify-xorg-and-vnc-tree.stamp
 
 reverse-patches-remove-xorg-from-vnc-tree:
-	cd $(DEB_SRCDIR)/unix/xserver && if test -f .apply-patches-unify-xorg-and-vnc-tree.stamp; then \
-		xargs rm -f < .apply-patches-unify-xorg-and-vnc-tree.stamp; \
-		find -name ".svn" -prune -o -type d -print | sort -r | xargs rmdir; \
-		rm -f .apply-patches-unify-xorg-and-vnc-tree.stamp; \
-	fi
-
-.PHONY: apply-patches-xorg reverse-patches-xorg clean-xorg
-
-apply-patches-xorg:
-	cd $(CURDIR)/xorg-server && chmod a+x debian/rules && \
-	  debian/rules stampdir/stampdir && debian/rules patch
-
-reverse-patches-xorg:
-	cd $(CURDIR)/xorg-server && chmod a+x debian/rules && debian/rules unpatch
-
-clean-xorg:
-	cd $(CURDIR)/xorg-server && chmod a+x debian/rules && debian/rules clean
-
-$(DEB_BUILDDIR)/unix/xserver/debian/confflags:
-	mkdir -p $(dir $@)
-	( cd $(DEB_SRCDIR)/unix/xserver && chmod a+x debian/rules && debian/rules echo_confflags ) | \
-	  sed -ne '/^CONFFLAGS:/{s/^[^:]*:\s*//;p}' > $@
+	cd $(DEB_SRCDIR)/unix/xserver && \
+		if test -f .apply-patches-unify-xorg-and-vnc-tree.files; then \
+			sort -r < .apply-patches-unify-xorg-and-vnc-tree.files | \
+				while read line; do \
+					if test -d "$$line"; then \
+						rmdir "$$line"; \
+					else \
+						rm -f "$$line"; \
+					fi; \
+				done; \
+			rm -f .apply-patches-unify-xorg-and-vnc-tree.stamp \
+			      .apply-patches-unify-xorg-and-vnc-tree.files; \
+		fi
 
 configure/tigervnc-standalone-server configure/tigervnc-xorg-extension:: $(DEB_BUILDDIR)/unix/xserver/configure.stamp
 
-XORG_DEBIAN_CONFIGURE_FLAGS = $(shell cat $(DEB_BUILDDIR)/unix/xserver/debian/confflags)
+include /usr/share/xserver-xorg/configure_flags.mk
+
+xserver_confflags := $(shell echo '$(xserver_confflags)' | sed 's/--with-builderstring="[^"]*"//')
+XORG_DEBIAN_CONFIGURE_FLAGS = \
+	$(filter-out \
+		--prefix=% \
+		--mandir=% \
+		--infodir=% \
+		--sysconfdir=% \
+		--localstatedir=% \
+		--build=% \
+		--host=% \
+		--enable-xwayland \
+		--enable-xfbdev \
+		--enable-dmx \
+		--enable-xvfb \
+		--enable-xnest \
+		--enable-xephyr \
+		--enable-xorg \
+		--enable-dri \
+		--enable-dri2 \
+		--enable-xmir \
+	    , $(xserver_confflags) \
+	)
 
 # Next step is run configure script. It is very difficult use correct parameters.
 # You should use same parameters as used in your distribution X server and add
 # --disable-xvfb --disable-xnest --disable-xorg
-$(DEB_BUILDDIR)/unix/xserver/configure.stamp: $(DEB_BUILDDIR)/unix/xserver/debian/confflags
+$(DEB_BUILDDIR)/unix/xserver/configure.stamp:
 	mkdir -p $(DEB_BUILDDIR)/unix/xserver
 	cd $(DEB_BUILDDIR)/unix/xserver && \
-	  $(DEB_CONFIGURE_SCRIPT_ENV) ../../../tigervnc/unix/xserver/configure \
+	  $(DEB_CONFIGURE_SCRIPT_ENV) $(CURDIR)/$(DEB_SRCDIR)/unix/xserver/configure \
 		CPPFLAGS="$(CPPFLAGS)" \
+		CFLAGS="$(CFLAGS)" \
+		CXXFLAGS="$(CXXFLAGS)" \
+		LDFLAGS="$(LDFLAGS) -lpam" \
+		--prefix=/usr \
+		--mandir=\$${prefix}/share/man \
+		--infodir=\$${prefix}/share/info \
+		--sysconfdir=/etc \
+		--localstatedir=/var \
+		$(XORG_DEBIAN_CONFIGURE_FLAGS) \
+		$(DEB_CONFIGURE_EXTRA_FLAGS) \
+		--disable-selective-werror \
+		--with-builderstring="tigervnc-xorg-server $(NO_EPOCH_VER) (TigerVNC Packaging Team <pkg-tigervnc-devel@lists.alioth.debian.org>)" \
+		--disable-xwayland \
+		--disable-xfbdev \
+		--disable-dmx \
+		--disable-xvfb \
+		--disable-xnest \
